Skip to Content

APIs & SDKs

Vercel SDK

The @vercel/sdk is a type-safe TypeScript SDK that allows you to access the resources and methods of the Vercel REST API.

1 pnpm i @vercel/sdk

To download and install Vercel SDK, run the following command:

Authentication


2

5 });

1

import{ Vercel }from'@vercel/sdk';

4

bearerToken:'',

3

const vercel =newVercel({

Vercel Access Tokens are required to authenticate and use the Vercel SDK. Once you have created a token, you can use it to initialize the SDK as follows:

Endpoints

Browse all available SDK methods grouped by category.

Access Groups

Troubleshooting

Make sure that you create a token with the correct Vercel team. If you face permission (403) errors when you are already sending a token, it can be one of the following problems:

11 endpoints

4 endpoints

  • The token you are using has expired. Check the expiry date of the token in the Vercel dashboard.
  • The token does not have access to the correct scope, either not the right team or it does not have account level access.
  • The resource or operation you are trying to use is not available for that team. For example, AccessGroups is an Enterprise only feature and you are using a token for a team on the pro plan.
Ai Gateway

Feature Flags

Cross-link map: Vercel SDK Reference (/docs/rest-api/sdk)From the Vercel docs graph (built 2026-09-21T05:26:59.511Z), spanning vercel.com docs + KB, nextjs.org, ai-sdk.dev, and other Vercel documentation sites. Full graph as JSON: https://vercel.com/docs/graph.jsonSemantically closest pagesVercel REST API Reference — Interact programmatically with your Vercel account using the SDK or direct HTTP requests.Building Integrations with Vercel REST API — Learn how to use Vercel REST API to build your integrations and work with redirect URLs.Retrieve a list of all Drains — GET /v1/drains — Allows to retrieve the list of Drains of the authenticated team.Update an existing Drain — PATCH /v1/drains/{id} — Update the configuration of an existing drain.Working with Drains — Drains collect logs, traces, speed insights, and analytics from your applications. Forward observability data to customThis page links to (2)Vercel REST API Reference — Interact programmatically with your Vercel account using the SDK or direct HTTP requests.REST API Errors — General and specific errors you may encounter when using the Vercel REST API.Pages that link here (9)By site: vercel-changelog (1) · vercel-docs (8)From vercel-changelogIntroducing the Vercel TypeScript SDKFrom vercel-docsProgrammatic Domain Management — Programmatically search, price, purchase, renew, and manage domains with Vercel's domains registrar API endpoints.Vercel for Platforms — Build platforms where agents and users deploy apps with isolated projects or shared multi-tenant deployments.Multi-Project Platforms Reference — API reference, error codes, troubleshooting, and FAQ for multi-project platforms on Vercel.Configuring Custom Domains — Add, verify, redirect, and remove wildcard and custom domains for a multi-tenant application using the Vercel SDK.Multi-Tenant Platform Quickstart — Set up wildcard domains, custom domains, domain verification, and redirects for a multi-tenant application on Vercel.Vercel REST API Reference — Interact programmatically with your Vercel account using the SDK or direct HTTP requests.Make Your First Vercel API Request — Create a scoped Vercel access token, make a read-only REST API request, and call the same operation with the Vercel SDK.Using the REST API with the Firewall — Learn how to interact with the security endpoints of the Vercel REST API programmatically.